usage()
{
    cat <<EOF
usage: $(basename $0) -i IMAGE

Run desktop default scenario using default parameters

options:
    -h               Show this help and exit
    -i IMAGE         Path/URL to image to be used
EOF
}

parse_args()
{
    while getopts :i: OPTION; do
        case $OPTION in
            i)
                IMAGE=$OPTARG
                ;;
            ?)
                usage
                exit
                ;;
        esac
    done

    if [ -z "$IMAGE" ]; then
        usage
        exit
    fi

    if [ -z "$PRESEED" ]; then
        echo "PRESEED environment variable not found"
        exit
    fi

    if [ -z "$RUNLIST" ]; then
        echo "RUNLIST environment variable not found"
        exit
    fi

    if [ -z "$BOOT_ARGS" ]; then
        CMD="run_utah_tests.py -i $IMAGE -p $PRESEED $RUNLIST"
    else
        CMD="run_utah_tests.py -i $IMAGE -p $PRESEED -b $BOOT_ARGS $RUNLIST"
    fi
}
