#!/usr/bin/env python
#
# Copyright (C) 2012, Canonical Ltd (http://www.canonical.com/)
#
# This file is part of ubuntu-test-cases.
#
# ubuntu-test-cases is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# ubuntu-test-cases is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ubuntu-test-cases.  If not, see
# <http://www.gnu.org/licenses/>.

"""Startup application list is empty."""

import logging
import unittest
import subprocess
import time
import os
import tempfile


class AutopilotTest(unittest.TestCase):

    def test_autopilot(self):
        """Autopilot tests"""
        logging.info('Running autopilot tests...')
        cmd = ['autopilot', 'run', 'ubuntu_autopilot_tests']
        subprocess.check_call(cmd)
        output = (subprocess.Popen(cmd, stderr=subprocess.PIPE)
                  .communicate()[1])
        self.assertNotIn(output.strip(), 'Fail',
                             "Some Tests failed")

if __name__ == '__main__':
    logging.basicConfig(level=logging.DEBUG,
                        format='%(levelname)s: %(message)s')
    unittest.main()
