#!/usr/bin/python
#
# Copyright (C) 2012, Canonical Ltd (http://www.canonical.com/)
#
# This file is part of ubuntu-test-cases.
#
# ubuntu-test-cases is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# ubuntu-test-cases is distributed in the hope that it will
# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ubuntu-test-cases.  If not, see
# <http://www.gnu.org/licenses/>.

"""Desktop shortcut exists."""

import logging
import unittest
import os


class DesktopShortcutExistTest(unittest.TestCase):
    # Only works on english installation since Desktop is localized
    DESKTOP_SHORTCUT_PATH = '/home/oem/Desktop/oem-config-prepare-gtk.desktop'

    def test_desktop_shortcut_exists(self):
        """Test if the desktop shortcut has been created successfully."""
        logging.info('Checking if desktop shortcut ({}) exists'
                     .format(self.DESKTOP_SHORTCUT_PATH))
        self.assertTrue(os.path.exists(self.DESKTOP_SHORTCUT_PATH),
                        "Desktop shortcut doesn't exist")

if __name__ == '__main__':
    logging.basicConfig(level=logging.DEBUG,
                        format='%(levelname)s: %(message)s')
    unittest.main()
